This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 163382 - openssh-askpass package not updated & depends on openssh
openssh-askpass package not updated & depends on openssh
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-15 14:42 EDT by Lamont Peterson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-15 17:31:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lamont Peterson 2005-07-15 14:42:12 EDT
Description of problem: 
Installation of openssh-askpass (w/yum, etc.) fails because the base package 
depends on openssh of the same version.  Errata have been released but not all 
(sub-)packages were built, including openssh-askpass. 
 
As the openssh-askpass (erroneously?) depends on the openssh package of the 
same version, yum/rpm does not want to in stall the package from base, as an 
errata for the depended upon package already exists and is, of course, already 
installed. 
 
Version-Release number of selected component (if applicable): 
openssh-askpass-4.0p1 
openssh-4.1p1 
 
How reproducible: 
Install FC4 w/openssh but without openssh-askpass, update openssh and try to 
"yum install openssh-askpass". 
 
Steps to Reproduce: 
1.  Have openssh installed and errata applied on FC4 and do not have 
openssh-askpass installed 
2.  Try to install openssh-askpass 
3.  Read dependency error. 
   
Actual results: 
Installation fails because of missing pegged dependency. 
 
Expected results: 
There should either be an errata of the openssh-askpass package which matches 
the openssh package or (even better) the openssh-askpass package should not be 
pegged to a specific version of the openssh package.
Comment 1 Tomas Mraz 2005-07-15 17:31:39 EDT
This package update was released normally with all subpackages including
openssh-askpass - look at
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/$arch/
In every arches there is openssh-askpass-4.1p1-3.1 package.

This must have been some glitch on a mirror you use for downloading updates or
something similar.

Note You need to log in before you can comment on or make changes to this bug.